GET Market maker settings
Get market maker settings data that includes information such as additional credit limit, pause status, and liquidation factor.
get
Query parameters
addressstringRequiredPattern:
The address of the market maker
^0x[a-fA-F0-9]{40}$chainstring · enumRequiredExample:
Native blockchain name, eg: ethereum, bsc, etc
ethereumPossible values: Header parameters
apiKeystringRequired
The API key that was assigned to you by Native
Responses
200
Success
application/json
mm_addressstringRead-onlyRequired
settlerstringRead-onlyRequired
chainobjectRead-onlyRequired
mm_partnerobjectRead-onlyRequired
hard_limit_usd_thresholdnumberRead-onlyRequired
token_amount_limitobjectRead-onlyRequired
is_forced_pausedbooleanRead-onlyRequired
is_pausedbooleanRead-onlyRequired
is_interest_pausedbooleanRead-onlyRequired
liquidation_factornumberRead-onlyRequired
leveragenumberRead-onlyRequired
whitelist_ipsstring[]Read-onlyRequired
min_value_output_thresholdnumberRead-onlyRequired
500
There was an exception with the server
get
/v1/lend/mm-settingsExample response
{
"mm_address": "0x2447f272547760c66FB9758E9bB87F0EA0D6EDD1",
"settler": "0x3Bdd75701dc1683f1229D77d5487A469Bae561e0",
"chain": "ethereum",
"mm_partner": "testPmm",
"hard_limit_usd_threshold": 10000, //additional credit limit on top of collateral
"token_amount_limit": null,
"is_forced_paused": false, //force paused by admin from all activities
"is_paused": false, //pause borrowing because of time delay of settlement or collateral removal
"is_interest_paused": false
}Last updated